Repository bindings
Get githubv1bindings artifacts
cURL
curl --request GET \
--url https://api.atlan.com/github/v1/bindings/{binding_id}/artifacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/github/v1/bindings/{binding_id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/github/v1/bindings/{binding_id}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"artifacts": [
{
"import_status": "not_selected",
"is_importable": true,
"kind": "<string>",
"name": "<string>",
"path": "<string>",
"artifact_id": "<string>",
"content_hash": "<string>",
"plugin": "<string>",
"synced_at": 1
}
],
"is_published_by_ci": true,
"is_truncated": true,
"skipped": [
{
"message": "<string>",
"path": "<string>",
"reason": "<string>",
"related": "<string>"
}
],
"commit": "<string>",
"scanned_at": 1
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
⌘I
cURL
curl --request GET \
--url https://api.atlan.com/github/v1/bindings/{binding_id}/artifacts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atlan.com/github/v1/bindings/{binding_id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/github/v1/bindings/{binding_id}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"artifacts": [
{
"import_status": "not_selected",
"is_importable": true,
"kind": "<string>",
"name": "<string>",
"path": "<string>",
"artifact_id": "<string>",
"content_hash": "<string>",
"plugin": "<string>",
"synced_at": 1
}
],
"is_published_by_ci": true,
"is_truncated": true,
"skipped": [
{
"message": "<string>",
"path": "<string>",
"reason": "<string>",
"related": "<string>"
}
],
"commit": "<string>",
"scanned_at": 1
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>",
"allowed_values": [
"<string>"
],
"field": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}